ExtendedQueryBase (Solr 3.6.2 API)
Keywords: org.apache.solr.search.ExtendedQueryBase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search
Class ExtendedQueryBase

    java.lang.Object
      org.apache.lucene.search.Query
          org.apache.solr.search.ExtendedQueryBase

All Implemented Interfaces:
  Serializable, Cloneable, ExtendedQuery

Direct Known Subclasses:
  WrappedQuery

    public class ExtendedQueryBase

extends Query
implements ExtendedQuery

See Also:
  Serialized Form

Constructor Summary
`ExtendedQueryBase()`

Method Summary
`boolean` | `getCache()` Should this query be cached in the query cache or filter cache.
`boolean` | `getCacheSep()` If true, the clauses of this boolean query should be cached separately.
`int` | `getCost()` Returns the cost of this query, used to order checking of filters that are not cached.
`String` | `getOptions()`
`void` | `setCache(boolean cache)`
`void` | `setCacheSep(boolean cacheSep)`
`void` | `setCost(int cost)`
`String` | `toString(String field)`

Methods inherited from class org.apache.lucene.search.Query
`clone, combine, createWeight, equals, extractTerms, getBoost, getSimilarity, hashCode, mergeBooleanQueries, rewrite, setBoost, toString, weight`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExtendedQueryBase

    public ExtendedQueryBase()

Method Detail

### setCache

    public void setCache(boolean cache)

  Specified by:
    `setCache` in interface `ExtendedQuery`

### getCache

    public boolean getCache()

  Description copied from interface: `ExtendedQuery`
  Should this query be cached in the query cache or filter cache.

  Specified by:
    `getCache` in interface `ExtendedQuery`

### setCacheSep

    public void setCacheSep(boolean cacheSep)

  Specified by:
    `setCacheSep` in interface `ExtendedQuery`

### getCacheSep

    public boolean getCacheSep()

  Description copied from interface: `ExtendedQuery`
  If true, the clauses of this boolean query should be cached separately. This is not yet implemented.

  Specified by:
    `getCacheSep` in interface `ExtendedQuery`

### setCost

    public void setCost(int cost)

  Specified by:
    `setCost` in interface `ExtendedQuery`

### getCost

    public int getCost()

  Description copied from interface: `ExtendedQuery`
  Returns the cost of this query, used to order checking of filters that are not cached. If getCache()==false && getCost()>=100 && this instanceof PostFilter, then the PostFilter interface will be used for filtering.

  Specified by:
    `getCost` in interface `ExtendedQuery`

### getOptions

    public String getOptions()

### toString

    public String toString(String field)

  Specified by:
    `toString` in class `Query`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD